# DAGetISLocalToGlobalMapping

Accesses the local-to-global mapping in a DA.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAGetISLocalToGlobalMapping(DA da,ISLocalToGlobalMapping *map)

Not Collective

### Input Parameter

da -the distributed array that provides the mapping

### Output Parameter

ltog -the mapping

### Notes

This mapping can them be used by VecSetLocalToGlobalMapping() or MatSetLocalToGlobalMapping().

Essentially the same data is returned in the form of an integer array with the routine DAGetGlobalIndices().

### Keywords

distributed array, destroy

### See Also

DACreate1d(), DACreate2d(), DACreate3d(), VecSetLocalToGlobalMapping(),
MatSetLocalToGlobalMapping(), DAGetGlobalIndices(), DAGetISLocalToGlobalMappingBlck()

Level:intermediate
Location: src/dm/da/src/dadestroy.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages